Module ij
Package ij.text

# Class TextWindow

java.lang.Object
java.awt.Component
java.awt.Container
java.awt.Window
java.awt.Frame
ij.text.TextWindow

All Implemented Interfaces:
  `ActionListener`, `FocusListener`, `ItemListener`, `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`

public class TextWindow extends Frame implements ActionListener, FocusListener, ItemListener
Uses a TextPanel to displays text in a window.

See Also:
  - `TextPanel`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.awt.Frame

`Frame.AccessibleAWTFrame`

## Nested classes/interfaces inherited from class java.awt.Window

`Window.AccessibleAWTWindow, Window.Type`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEBUG_LOC_KEY`
`static final String`
`HEIGHT_KEY`
`static final String`
`LOC_KEY`
`static final String`
`LOG_HEIGHT_KEY`
`static final String`
`LOG_LOC_KEY`
`static final String`
`LOG_WIDTH_KEY`
`static final String`
`WIDTH_KEY`

### Fields inherited from class java.awt.Frame

`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`TextWindow(String path, int width, int height)`
Opens a new text window containing the contents of a text file.
`TextWindow(String title, String text, int width, int height)`
Opens a new single-column text window.
`TextWindow(String title, String headings, String text, int width, int height)`
Opens a new multi-column text window.
`TextWindow(String title, String headings, ArrayList text, int width, int height)`
Opens a new multi-column text window.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`
`void`
`append(String text)`
Adds one or more lines of text to the window.
`void`
`close()`
`void`
`close(boolean showDialog)`
Closes this TextWindow.
`void`
`focusGained(FocusEvent e)`
`void`
`focusLost(FocusEvent e)`
`ResultsTable`
`getResultsTable()`
Returns the ResultsTable associated with this TextWindow, or null.
`TextPanel`
`getTextPanel()`
Returns a reference to this TextWindow's TextPanel.
`void`
`itemStateChanged(ItemEvent e)`
`void`
`load(BufferedReader in)`
Appends the text in the specified file to the end of this TextWindow.
`void`
`processWindowEvent(WindowEvent e)`
`void`
`rename(String title)`
`static void`
`setAntialiased(boolean b)`
`static void`
`setFont(String name, int style, int size)`
`static void`
`setMonospaced(boolean b)`

### Methods inherited from class java.awt.Frame

`addNotify, getAccessibleContext, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, paramString, remove, removeNotify, setBackground, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.awt.MenuContainer

`getFont, postEvent`

## Field Details

### LOC_KEY

public static final String LOC_KEY

See Also:
  - Constant Field Values

### WIDTH_KEY

public static final String WIDTH_KEY

See Also:
  - Constant Field Values

### HEIGHT_KEY

public static final String HEIGHT_KEY

See Also:
  - Constant Field Values

### LOG_LOC_KEY

public static final String LOG_LOC_KEY

See Also:
  - Constant Field Values

### LOG_WIDTH_KEY

public static final String LOG_WIDTH_KEY

See Also:
  - Constant Field Values

### LOG_HEIGHT_KEY

public static final String LOG_HEIGHT_KEY

See Also:
  - Constant Field Values

### DEBUG_LOC_KEY

public static final String DEBUG_LOC_KEY

See Also:
  - Constant Field Values

## Constructor Details

### TextWindow

public TextWindow(String title, String text, int width, int height)
Opens a new single-column text window.

Parameters:
  `title` - the title of the window
  `text` - the text initially displayed in the window
  `width` - the width of the window in pixels
  `height` - the height of the window in pixels

### TextWindow

public TextWindow(String title, String headings, String text, int width, int height)
Opens a new multi-column text window.

Parameters:
  `title` - title of the window
  `headings` - the tab-delimited column headings
  `text` - text initially displayed in the window
  `width` - width of the window in pixels
  `height` - height of the window in pixels

### TextWindow

public TextWindow(String title, String headings, ArrayList text, int width, int height)
Opens a new multi-column text window.

Parameters:
  `title` - title of the window
  `headings` - tab-delimited column headings
  `text` - ArrayList containing the text to be displayed in the window
  `width` - width of the window in pixels
  `height` - height of the window in pixels

### TextWindow

public TextWindow(String path, int width, int height)
Opens a new text window containing the contents of a text file.

Parameters:
  `path` - the path to the text file
  `width` - the width of the window in pixels
  `height` - the height of the window in pixels

## Method Details

### append

public void append(String text)
Adds one or more lines of text to the window.

Parameters:
  `text` - The text to be appended. Multiple lines should be separated by \n.

### getTextPanel

public TextPanel getTextPanel()
Returns a reference to this TextWindow's TextPanel.

### getResultsTable

public ResultsTable getResultsTable()
Returns the ResultsTable associated with this TextWindow, or null.

### load

public void load(BufferedReader in) throws IOException
Appends the text in the specified file to the end of this TextWindow.

Throws:
  `IOException`

### actionPerformed

public void actionPerformed(ActionEvent evt)

Specified by:
  `actionPerformed` in interface `ActionListener`

### processWindowEvent

public void processWindowEvent(WindowEvent e)

Overrides:
  `processWindowEvent` in class `Window`

### itemStateChanged

public void itemStateChanged(ItemEvent e)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### close

public void close()

### close

public void close(boolean showDialog)
Closes this TextWindow. Display a "save changes" dialog if this is the "Results" window and 'showDialog' is true.

### rename

public void rename(String title)

### setFont

public static void setFont(String name, int style, int size)

### setMonospaced

public static void setMonospaced(boolean b)

### setAntialiased

public static void setAntialiased(boolean b)

### focusGained

public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`